Bugzilla link: Red Hat JIRA:

Pull request:

Description
Hi all,

it would be great to add support for Opennebula to manage as Computer resources.

Thanks in advance.

Related issues:
Related to Foreman - Bug #6670: Update fog to 1.23 Closed 07/17/2014

History

#1 - 11/14/2013 09:51 AM - Sebastian M

Patrick Martins wrote:
Hi all,
it would be great to add support for Opennebula to manage as Computer resources.
Thanks in advance.
| would appreciate the support of further compute ressources e.g. "OpenNebula".
We’'re running OpenNebula and TheForeman and currently there is a lack of supporting ONE within TheForeman.

Best regards,
Sebastian

#2 - 03/21/2014 03:31 PM - Arnold Bechtoldt

Giving +1 on this.

#3 - 05/16/2014 01:46 PM - Fritz Enboe
Hi Patrick,
There is a new foreman plugin for opennebula. You can find everything you need (fog and foreman plugin) in the netways github repo (

https:/github.com/NETWAYS). It's brand new, please try it! If there is a lack of documentation or features just write me some lines and i would try to
help!

Here is a video about how we use the plugin (http://youtu.be/Lind0WNaxY1) and which features work at the moment. There is also a thread on the
OpenNebula users mailinglist http://www.mail-archive.com/users@Iists.opennebula.org/msg14859.html

Kind regards,
bOe

#4 - 07/01/2014 11:29 AM - Patrick Martins

Fritz Enboe wrote:

Hi Patrick,
There is a new foreman plugin for opennebula. You can find everything you need (fog and foreman plugin) in the netways github repo (
https://github.com/NETWAYS). It's brand new, please try it! If there is a lack of documentation or features just write me some lines and i would
try to help!

Here is a video about how we use the plugin (http://youtu.be/Lind0OWNaxY1) and which features work at the moment. There is also a thread on
the OpenNebula users mailinglist http://www.mail-archive.com/users@lists.opennebula.org/msg14859.html

Kind regards,
bOe
Hi bOe,
thank you and the whole team very much for this nice feature. | got started implementing the plugin in our LAB environment. | think the most of the
features are working very fine but I'm unable to run the VNC-console from the
Foreman Webinterface. Maybe you could give me an clue where is my problem.
The error message | got is:
"Failed to set console: undefined method “merge' for "{\"'message\":\"Cannot create VNC proxy token\",\"errno\":4369}":String"

Thanks in advance.

Kinde regards,
Patrick

#5 - 07/07/2014 10:54 AM - Fritz Enboe
Hi Patrick,

i'm not sure about the error message, but i'm sure you need a additional patch. Look at the last commit in [1,2]. This isn't yet in the foreman code, and
i'm not sure if this breaks vnc for other compute resources....

The tokens should be in foreman/extras/noVNC/sunstone_vnc_tokens/. Create the directory if it doesn't exists. And you have to start noVNC
websockify.py with the target-config parameter, e.g.

/opt/foreman/extras/noVNC/websockify.py --target-config=/opt/foreman/extras/noVNC/sunstone_vnc_tokens 29876

Kind regards,
bOe

[1] https://github.com/NETWAYS/foreman/tree/feature/1.5-stable-one_vnc_support
[2] https:/github.com/NETWAY S/foreman/commit/b1251570cacf6cbf3b385b164d5¢433796¢1fd5b

#6 - 07/09/2014 02:28 AM - Patrick Martins

Fritz Enboe wrote:
Hi Patrick,

i'm not sure about the error message, but i'm sure you need a additional patch. Look at the last commit in [1,2]. This isn't yet in the foreman
code, and i'm not sure if this breaks vnc for other compute resources....

The tokens should be in foreman/extras/noVNC/sunstone_vnc_tokens/. Create the directory if it doesn't exists. And you have to start noVNC
websockify.py with the target-config parameter, e.g.

/opt/foreman/extras/noVNC/websockify.py --target-config=/opt/foreman/extras/noVNC/sunstone_vnc_tokens 29876

Kind regards,
bOe

[1] https:/github.com/NETWAY S/foreman/tree/feature/1.5-stable-one_vnc_support
[2] https:/github.com/NETWAY S/foreman/commit/b1251570cacf6cbf3b385b164d5¢433796¢1fd5b

Hi bOe,

thanks for your fast response. The first problem | was getting is now fixed, it was just needed to create the directory for saving the tokens. Now I'm
having a new problem and | can't find a solution for it. | started the "websockify.py --target-config=" and when | want to connect | get the following
errror that no token is present.

Plain non-SSL (ws://) WebSocket connection

Version hybi-13, base64: True'
Token not present
In Foreman Webinterface then | got the message "Failed to connect to server".
Do you have any ideas?
Thanks in advance.

Kind regards,
Patrick

#7 - 07/17/2014 06:37 PM - Anonymous

- Related to Bug #6670: Update fog to 1.23 added

#8 - 07/17/2014 06:41 PM - Anonymous

| would propose to close this bug, when #6670 is closed. Further problems can then be discussed via fog's and foreman-one's issue trackers

accordingly.

#9 - 07/23/2014 05:09 AM - Anonymous
- Status changed from New to Closed

- Target version set to 1.8.0

Fog got updated in develop, so this issue can be closed now.
